Subject: Re: linux-next: build warning after merge of the wireless-drivers-next tree

From: Kalle Valo <[email-masked]>
Date: Thu, 31 Jan 2019 15:46:03 +0200

Luca Coelho <[email-masked]> writes:

> On Thu, 2019-01-31 at 10:46 +1100, Stephen Rothwell wrote:
>> Hi all,
>> 
>> After merging the wireless-drivers-next tree, today's linux-next
>> build
>> (x86_64 allmodconfig) produced this warning:
>> 
>> drivers/net/wireless/intel/iwlwifi/mvm/rxmq.c:195:13: warning:
>> 'iwl_mvm_add_rtap_sniffer_config' defined but not used [-Wunused-
>> function]
>>  static void iwl_mvm_add_rtap_sniffer_config(struct iwl_mvm *mvm,
>>              ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>> 
>> Introduced by commit
>> 
>>   9bf13bee2d74 ("iwlwifi: mvm: include configured sniffer AID in
>> radiotap")
>
> This was a conflict resolution damage in one of the patches I applied. 
> We already have a fix for it[1] and Kalle will apply it to wireless-
> drivers-next soon.
>
> Sorry for the trouble, but somehow I didn't see this warning and
> kbuildbot also reported successful compilation with it. :(
>
> [1] https://patchwork.kernel.org/patch/10788503/

I applied the fix now:

https://git.kernel.org/pub/scm/linux/kernel/git/kvalo/wireless-drivers-next.git/commit/?id=3864be551405b582ae38fbcdfdbb6e49052f5f6d

-- 
Kalle Valo